1. slice235's Avatar
    I have attempted and failed to patch the Gmail app. on my Classic. I have installed Cobalt's Play Store files and it works fine. The only Google app I really need is the Gmail app for business. Would someone have a patched Gmail app I could upload to my Classic. Or please confirm the correct patch procedure. I downloaded Patcher 1.6 and also the current version of Java. I changed the path to: C:\Program Files (x86)\Java\jre1.8.0_bin\java.exe as per Cobalt's direction. I downloaded a Gmail apk file and when I analyzed it, it said it didn't require patching.

    Any suggestions
    12-22-16 08:24 PM
  2. conite's Avatar
    You can't just download any Gmail app. There are 17 variants for each version number. Use Cobalt's Google Play Store to ensure you get the correct one.

    On the Patcher app, make sure you "update framework" the first time it's run.
    12-22-16 09:38 PM
  3. conite's Avatar
    Here is the patched apk for BB10 (non-Passport) devices:

    https://www.dropbox.com/s/8nvouibd78...tched.apk?dl=0
    12-22-16 09:39 PM
  4. slice235's Avatar
    Here is the patched apk for BB10 (non-Passport) devices:

    https://www.dropbox.com/s/8nvouibd78...tched.apk?dl=0
    OK. Removed Gmail from my Classic. Used Patcher 1.6 and connected the Java.exe on the path option to the newest Java version I downloaded. Copied your apk file to the Patcher 1.6 and hit the analyze apk button with my Classic connected. Everything looked to download fine with the following message at completion: "The package Maps_9.42.3-patched.apk has been successfully rebuilt. Check \output folder for patched file. This App may only work together with a patched version of com.google.android.gms.apk."
    Then installed Gmail and attempted to link to my gmail account with the message "Gmail won't run without Google Play services, which are not supported on my device. I assume I have left out a step after completing the patching process. Please advise if you could. Thank you
    12-23-16 08:18 PM
  5. conite's Avatar
    OK. Removed Gmail from my Classic. Used Patcher 1.6 and connected the Java.exe on the path option to the newest Java version I downloaded. Copied your apk file to the Patcher 1.6 and hit the analyze apk button with my Classic connected. Everything looked to download fine with the following message at completion: "The package Maps_9.42.3-patched.apk has been successfully rebuilt. Check \output folder for patched file. This App may only work together with a patched version of com.google.android.gms.apk."
    Then installed Gmail and attempted to link to my gmail account with the message "Gmail won't run without Google Play services, which are not supported on my device. I assume I have left out a step after completing the patching process. Please advise if you could. Thank you
    I gave you the patched app
    12-23-16 11:37 PM

Similar Threads

  1. does the kindle app still work
    By PlayBook_QNX in forum BlackBerry PlayBook
    Replies: 5
    Last Post: 12-29-16, 05:28 PM
  2. App difference between Passport and Q10
    By kosten4 in forum BlackBerry Passport
    Replies: 9
    Last Post: 12-26-16, 03:39 PM
  3. An app like rain rain on android?
    By Dimitrif Kritschief in forum BlackBerry 10 Apps
    Replies: 2
    Last Post: 12-26-16, 08:21 AM
  4. Twitter apps
    By Low Joe in forum BlackBerry 10 OS
    Replies: 1
    Last Post: 12-23-16, 03:03 PM
  5. Best bb10 cleaner app?
    By Bayuprsr in forum Ask a Question
    Replies: 1
    Last Post: 12-22-16, 05:42 PM
LINK TO POST COPIED TO CLIPBOARD